package com.yidian.shenghuoquan.bmerchantorder.ui

import androidx.activity.viewModels
import com.yidian.bcommon.constant.XRouterPathConstants
import com.yidian.bcommon.mvvm.BaseMvvmActivity
import com.yidian.shenghuoquan.bmerchantorder.R
import com.yidian.shenghuoquan.bmerchantorder.databinding.BmerchantorderActivityMerchantOrderDetailBinding
import com.yidian.shenghuoquan.bmerchantorder.viewmodel.MerchantOrderDetailViewModel
import com.yidian.xpage.XPageViewProtocol

/**
 * author: yinjiacheng
 * date: 2021/9/8 13:55
 * description: 商户订单详情页
 */
class MerchantOrderDetailActivity : BaseMvvmActivity<BmerchantorderActivityMerchantOrderDetailBinding, MerchantOrderDetailViewModel>(),
  XPageViewProtocol {
  override fun getXPageName(): String {
    return XRouterPathConstants.MERCHANT_ORDER_DETAILS_ACTIVITY
  }

  override val layoutId: Int = R.layout.bmerchantorder_activity_merchant_order_detail
  override val vm: MerchantOrderDetailViewModel by viewModels()

  override fun initView() {

  }
}
